# class Puppet::ModuleTool::Applications::Generator::DirectoryNode

### Public Class Methods

matches?(path) click to toggle source

    # File lib/puppet/module_tool/applications/generator.rb, line 106
    def self.matches?(path)
      path.directory?
    end

### Public Instance Methods

install!() click to toggle source

    # File lib/puppet/module_tool/applications/generator.rb, line 109
    def install!
      target.mkpath
    end